#!/bin/bash
#

COMMENT_LUIT=''
COMMENT_NOLUIT='# '

if [ "$1" == "no" ]
then
    COMMENT_LUIT='#'
    COMMENT_NOLUIT=''
fi

cat > make-psani.sh << ENDPSANI
#!/bin/bash
#

if [ -L ${JMENO_ADR_INST}/psani ]
then
    rm ${JMENO_ADR_INST}/psani
fi

if [ -w ${JMENO_ADR_INST}/psani ]
then
    DATE=\`date +%s\`
    mv ${JMENO_ADR_INST}/psani ${JMENO_ADR_INST}/psani.old.\${DATE}
    echo Zalohuji stary skript psani do ${JMENO_ADR_INST}/psani.old.\${DATE}, prosim smazat
fi

echo Vytvarim spousteci skrypt ${JMENO_ADR_INST}/psani
cat > ${JMENO_ADR_INST}/psani << GENSH
#!/bin/sh
#
# Skript na spousteni programu psani-profi
#


# Spousteni pomoci nasledujiciho radku vyuzije program luit
# pro emulovani iso-8859-2 kodovani na UTF-8 terminalech (doporuceno).
# Pro spravnou funkci je potreba mit nainstalovan program luit.

${COMMENT_LUIT}LC_ALL=cs_CZ.ISO-8859-2 luit ${JMENO_ADR_INST}/$NAZEV1 \\\$@; exit 0

# Spousteni pomoci nasledujiciho radku spusti program v 
# defaultnim kodovani iso-8859-2

${COMMENT_NOLUIT}${JMENO_ADR_INST}/$NAZEV1 \\\$@

GENSH
chmod +x ${JMENO_ADR_INST}/psani

ENDPSANI
