/* Copyright (c) 2002 Petr Bilek
   Tento kod je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne license GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor nast_nov_text.c */

#include "definice.h"
#include "strukturyw.h"
#include "struktury.h"
#include "libw.h"
#include "lib.h"

void nast_metronom(type_nastaveni * nastaveni)
{
    int ch;

    global_set(g_run, g_run_vt);
    vypis_metronom(nastaveni);
    do {
        ch = getch3();
        switch (ch) {
        case 'S':
        case 's':
            nastaveni->metronom *= -1;
            wattroff2(sub_nadpis, A_REVERSE);
            if (nastaveni->metronom > 0)
                print_hl(2, "Pite rytmicky, ale nesnate se \"strefovat\""
                         " pesn do taktu meronomu !\n",
                         "Metronom je jen pro ukzku rychlosti hoz");
            break;
        case '.':
            if (nastaveni->metronom >= 0 && nastaveni->metronom < 200)
                nastaveni->metronom++;
            else if (nastaveni->metronom > -200 && nastaveni->metronom < 0)
                nastaveni->metronom--;
            break;
        case ',':
            if (nastaveni->metronom < 0)
                nastaveni->metronom++;
            else if (nastaveni->metronom > 0)
                nastaveni->metronom--;
            break;
        case '>':
        case ':':
            if (nastaveni->metronom >= 0 && nastaveni->metronom <= 190)
                nastaveni->metronom += 10;
            else if (nastaveni->metronom >= -190
                     && nastaveni->metronom < 0)
                nastaveni->metronom -= 10;
            break;
        case '<':
        case '?':
            if (nastaveni->metronom <= -10)
                nastaveni->metronom += 10;
            else if (nastaveni->metronom >= 10)
                nastaveni->metronom -= 10;
            break;
        }

        vypis_metronom(nastaveni);
    }
    while (ch != 'k' && ch != 'K' && ch != KEY_BACKSPACE);
    global_set(g_run, g_run_null);
    wattroff2(sub_nadpis, A_REVERSE);
    if (uloz_nastaveni(nastaveni))
        print_hl(2, "CHYBA: data se nepodailo uloit do souboru ",
                 jmeno_souboru_nastaveni());

}

void vypis_metronom(type_nastaveni * nastaveni)
{
    char temp[80];

    werase2(sub_hlavni);
    mvwprintw2(sub_hlavni, 4, 1, "Sputn metronomu:\t");
    wattron2(sub_hlavni, A_BOLD);
    wprintw2(sub_hlavni, (nastaveni->metronom > 0) ? "Ano" : "Ne");
    wattroff2(sub_hlavni, A_BOLD);
    mvwprintw2(sub_hlavni, 6, 1, "Poet hoz za minutu: ");
    wattron2(sub_hlavni, A_BOLD);
    sprintf(temp, "%3i", (nastaveni->metronom > 0) ?
            nastaveni->metronom : -nastaveni->metronom);
    wprintw2(sub_hlavni, temp);
    wattroff2(sub_hlavni, A_BOLD);

    MVWPRINTW2(sub_hlavni, 11, 1, "Sputn metronomu %s klavesou \"s\"",
               (nastaveni->metronom > 0) ? "vypnete" : "zapnete");
    mvwprintw2(sub_hlavni, 12, 1,
               "Rychlost mnte klvesami \"<\" a \">\" nebo \",\" a \".\"");

    obnov_hlavni();
    mvwprintw2(sub_hlavni, 0, 1, " \"k\" = nvrat do hlavnho menu ");
    tiskni_dle_priority();
}
